<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css"
        integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">
    <!-- Compiled and minified CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
    <link rel="stylesheet" href="./styles.css">

    <title>Test Fabrik</title>
</head>

<body>
    <nav class="blue lighten-5">
        <div class="nav-wrapper">
            <a class="brand-logo pl-3"><img src="./asset/logo_fabrik.png" alt="Logo Fabrik" width="100"></a>
            <ul id="nav-mobile" class="right hide-on-med-and-down">
            </ul>
        </div>
    </nav>
    <div class="container-fluid">
        <div class="row mt-5">
            <div class="col col-md-6">
                <h2>N° Conto: <span id="account-name"></span></h2>
            </div>
            <div class="col col-md-6">
                <div class="card-panel blue darken-3 white-text">
                    <p>Data: <span id="date-account"></span></p>
                    <h4>Saldo: </h4>
                    <h5 id="saldo-account"></h5>
                    <h4>Saldo Disponibile: </h4>
                    <h5 id="saldoDisponibile-account"></h5>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4">
                <a class="waves-effect waves-light btn blue darken-3 white-text modal-trigger" href="#paymentModal"><i
                        class="material-icons left">payment</i>Pagamenti</a>
            </div>
        </div>
        <div class="row">
            <table class="striped" id="transactionsTable">
                <thead></thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>

    <!-- loader -->
    <div class="overlay">
        <div class="overlay__inner">
            <div class="overlay__content"><span class="spinner"></span></div>
        </div>
    </div>

    <!-- Modal Structure -->
    <div id="paymentModal" class="modal">
        <div class="modal-content">
            <form id="paymentForm">
                <h4>Bonifico</h4>
                <div class="row">
                    <div class="col-md-6">
                        <label for="creditorName">Nome Creditore</label>
                        <input type="text" name="creditorName" id="creditorName">
                    </div>
                    <div class="col-md-6">
                        <label for="creditorDescription">Descrizione</label>
                        <textarea name="creditorDescription" id="creditorDescription" cols="30" rows="20"></textarea>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-5">
                        <label for="creditorAmount">Importo</label>
                        <input type="text" name="creditorAmount" id="creditorAmount">
                    </div>
                    <div class="col-md-1">
                        <label for="creditorCurrency">Valuta</label>
                        <input type="text" name="creditorCurrency" id="creditorCurrency" maxlength="3">
                    </div>
                </div>
            </form>
        </div>
        <div class="modal-footer">
            <a class="waves-effect waves-green btn-flat" id="paymentBtn">Invia</a>
        </div>
    </div>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="./script/jquery-3.5.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous">
    </script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"
        integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI" crossorigin="anonymous">
    </script>
    <!-- Compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
    <script src="./dist/main.js"></script>
</body>

</html>